Subject: Re: e100 problems in .23rc8 ?

From: "Kok, Auke" <[email-masked]>
Date: Thu, 18 Oct 2007 10:59:59 -0700

David Mack wrote:
> It appears that the needed e100 fix made it into the Fedora
> 2.6.23.1-23.fc8 kernel. Boots reliably now.
> 
> Huge thanks and great work, guys.

DaveJ, I didn't push anything upstream. Can you verify this now works?

Auke

> 
> Dave
> 
>> -----Original Message-----
>> From: Kok, Auke [mailto:[email-masked]] 
>> Sent: Friday, October 12, 2007 10:05 AM
>> To: Herbert Xu
>> Cc: David Mack; Dave Jones; [email-masked]; 
>> [email-masked]
>> Subject: Re: e100 problems in .23rc8 ?
>>
>> Herbert Xu wrote:
>>> On Fri, Oct 12, 2007 at 07:54:33AM -0700, David Mack wrote:
>>>> Still no joy here. See attached capture. What's really 
>> weird is that it
>>>> shows *two* kernel panics, one in  e100_poll and one in _list_add.
>>> Yes that's the symptom one would expect from that bug.  We really
>>> need to apply the same fix that was done for e1000.
>> I feared that. its not the same as that commit that floated 
>> around in this thread
>> and involves some reorganization in the init/probe code, so 
>> it's a bit more
>> involved than just a few lines. I'll need a little bit of 
>> time to generate this fix.
>>
>> Auke
>>